<template>
  <el-col :span="16" :offset="6">
    <el-form label-width="100px" ref="formRef" :model="form">
      <el-form-item
        label="审批建议"
        prop="reason"
        style="margin-bottom: 20px"
        :rules="{
          required: true,
          message: '请选择',
          trigger: 'change'
        }"
      >
        <el-input
          type="textarea"
          v-model="form.reason"
          placeholder="请输入审批建议"
        />
      </el-form-item>
    </el-form>

    <div style="margin-left: 10%; margin-bottom: 20px; font-size: 14px">
      <el-button
        icon="el-icon-edit-outline"
        type="success"
        size="mini"
        @click="handleAudit(1)"
        >通过
      </el-button>

      <el-button
        icon="el-icon-circle-close"
        type="danger"
        size="mini"
        @click="handleAudit(0)"
        >驳回
      </el-button>
    </div>
  </el-col>
</template>
<script>
  import { approveTaskWithVariables, outApproveNotPass } from '@/api/bpm/task';
  export default {
    data() {
      return {
        form: {}
      };
    },
    props: {
      businessId: {
        default: ''
      },
      taskId: {
        default: ''
      },
      id: {
        default: ''
      },

      taskDefinitionKey: {
        default: ''
      }
    },
    methods: {
      handleAudit(status) {
        if (!this.form.reason && status == 1) {
          this.$message.warning(`请填写审批意见！`);
          return;
        }

        this._approveTaskWithVariables(status);
      },
      async _approveTaskWithVariables(status) {
        console.log(status);
        if (status == 1) {
          const params = {
            id: this.taskId,
            reason: this.form.reason,
            variables: { pass: true }
          };
          const data = await approveTaskWithVariables(params);
          if (data.data.code != '-1') {
            this.$emit('handleAudit', {
              status,
              title: '通过'
            });
          }
        } else {
          const params = {
            id: this.taskId,
            reason: this.form.reason,
            outInId: this.businessId
          };
          const data = await outApproveNotPass(params);
          if (data.data.code != '-1') {
            this.$emit('handleAudit', {
              status,
              title: '驳回'
            });
          }
        }
      }
    }
  };
</script>
